Subject: Re: bug#52600: [PATCH] doc: Document (gnu services configuration).

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 06 Jan 2022 09:20:38 -0500

Hi Xinglu,

Sorry for jumping in late.

Xinglu Chen <[email-masked]> writes:

>> As for ‘define-configuration’ vs. (guix records) vs. SRFI-9…  I don’t
>> think we really discussed the issue or agreed on something.

[...]

> Agreed, since ‘define-configuration’ & friends are now documented, it
> makes even more sense to use them.
>
>> Thanks for substantially improving the manual!

I haven't reviewed the feasibility yet, but since Guix records now have
"sanitizers" that can be used to validate the field values, I have been
wondering if these could be used in define-configuration.

Anyway, thanks a lot for improving and documenting
'define-configuration' :-).

Maxim